%define dataver 0.61

Summary: Tux Racer
Name: tuxracer
Version: 0.61
Release: 5
Copyright: GPL
Group: Amusements/Games
Source: http://download.sourceforge.net/tuxracer/tuxracer-%{version}.tar.bz2 
Source1: http://download.sourceforge.net/tuxracer/tuxracer-data-%{version}.tar.bz2
Source2: tuxracer.png
Source3: tuxracer.desktop.in
Patch: tuxracer-0.60.1-GL.patch
URL: http://www.tuxracer.com/
Obsoletes: tuxracer-data
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: grep, Mesa-devel >= 3.3, SDL-devel, SDL_mixer-devel

%description
Tux Racer is a simple OpenGL-based racing game featuring Tux. The object of the
game is to slide down a snow- and ice-covered mountain as quickly as possible,
avoiding the trees and rocks that will slow you down.

%prep
%setup -q
%patch -p1 -b .GL

# butt ugly hack to workaround GL <-> C++ (gcc-RH aka 2.96) glitches
# children, don't do this at home
mkdir src/GL
grep -v '^extern void exit(int);' /usr/include/GL/glut.h > src/GL/glut.h

%build
%configure --with-data-dir=%{_datadir}/tuxracer \
           --with-gl-inc=/usr/X11R6/include \
           --with-gl-libs=/usr/X11R6/lib \
           --with-glut-inc=/usr/X11R6/include \
           --with-glut-libs=/usr/X11R6/lib

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall datadir=$RPM_BUILD_ROOT%{_datadir}/tuxracer

mkdir -p $RPM_BUILD_ROOT%{_datadir}
pushd $RPM_BUILD_ROOT%{_datadir}
bzip2 -dc %{SOURCE1} | tar xf -
mv tuxracer-data-%{dataver} tuxracer
cp %{SOURCE2} tuxracer/
find . -type f | xargs chmod 644
popd

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Games
cat %{SOURCE3} | sed s+@DATADIR@+%{_datadir}/tuxracer+g > $RPM_BUILD_ROOT/etc/X11/applnk/Games/tuxracer.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-, root, root, 755)
%{_bindir}/tuxracer
%dir %{_datadir}/tuxracer
%{_datadir}/tuxracer/*
%config (missingok) %attr(0644,root,root) /etc/X11/applnk/Games/tuxracer.desktop
%doc AUTHORS COPYING ChangeLog README contrib


%changelog
* Tue Jul 17 2001 Tim Powers <timp@redhat.com>
- try one more time to remove the deps on libXxf86dga.so.1 and libXv.so.1

* Tue Jul 10 2001 Elliot Lee <sopwith@redhat.com>
- Rebuild to remove libXv/libXxf86dga deps

* Fri Jun 22 2001 Preston Brown <pbrown@redhat.com>
- build for dist

* Wed Feb 28 2001 Than Ngo <than@redhat.com>
- fix permission problem (Bug #30033)

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- update to 0.61, which fixes many bugs (Bug #29047)

* Wed Jan 10 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild with current libSDL_mixer
- 0.60.3

* Tue Dec 19 2000 Than Ngo <than@redhat.com>
- bzip2 source

* Mon Nov 06 2000 Than Ngo <than@redhat.com>
- initial build for powertools-7.1
- clean up specfile

* Mon Oct 09 2000 Nils Philippsen <nils@redhat.de>
- version 0.60.1
- hacked around GL/g++-RH (aka 2.96) incompatibilities
- added desktop entry and icon
 
* Wed Aug 30 2000 Nils Philippsen <nils@redhat.de>
- version 0.12.1
- initial build for Extra Binge
